olimex_imx233_olinuxino_defconfig: genimage support
authorPhil Eichinger <phil.eichinger@gmail.com>
Thu, 10 Mar 2016 21:34:11 +0000 (22:34 +0100)
committerPeter Korsgaard <peter@korsgaard.com>
Fri, 11 Mar 2016 12:14:54 +0000 (13:14 +0100)
* add a post-image.sh script
* update defconfig for genimage
* update readme.txt

[Peter: also add host-dosfstools dependency for vfat partition]
Signed-off-by: Phil Eichinger <phil@zankapfel.net>
Signed-off-by: Peter Korsgaard <peter@korsgaard.com>
board/olimex/imx233_olinuxino/genimage-imx233_olinuxino.cfg [new file with mode: 0644]
board/olimex/imx233_olinuxino/post-image.sh [new file with mode: 0755]
board/olimex/imx233_olinuxino/readme.txt
configs/olimex_imx233_olinuxino_defconfig

diff --git a/board/olimex/imx233_olinuxino/genimage-imx233_olinuxino.cfg b/board/olimex/imx233_olinuxino/genimage-imx233_olinuxino.cfg
new file mode 100644 (file)
index 0000000..78979dc
--- /dev/null
@@ -0,0 +1,28 @@
+image kernel.vfat {
+  vfat {
+    files = {
+      "uImage"
+    }
+  }
+  size = 5M
+}
+
+image sdcard.img {
+  hdimage {
+  }
+  partition boot {
+       partition-type = 0x53
+       image = "u-boot.sd"
+       size = 16M
+  }
+
+  partition kernel {
+    partition-type = 0xC
+    image = "kernel.vfat"
+  }
+
+  partition rootfs {
+    partition-type = 0x83
+    image = "rootfs.ext2"
+  }
+}
diff --git a/board/olimex/imx233_olinuxino/post-image.sh b/board/olimex/imx233_olinuxino/post-image.sh
new file mode 100755 (executable)
index 0000000..703cbe7
--- /dev/null
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+BOARD_DIR="$(dirname $0)"
+BOARD_NAME="$(basename ${BOARD_DIR})"
+GENIMAGE_CFG="${BOARD_DIR}/genimage-${BOARD_NAME}.cfg"
+GENIMAGE_TMP="${BUILD_DIR}/genimage.tmp"
+
+# Create symlink to "rename" kernel image
+ln -sf uImage.imx23-olinuxino ${BINARIES_DIR}/uImage
+
+rm -rf "${GENIMAGE_TMP}"
+
+genimage                           \
+       --rootpath "${TARGET_DIR}"     \
+       --tmppath "${GENIMAGE_TMP}"    \
+       --inputpath "${BINARIES_DIR}"  \
+       --outputpath "${BINARIES_DIR}" \
+       --config "${GENIMAGE_CFG}"
+
+exit $?
index a545f7bbb5e1f019a6b72424a5f7438e93ca7b7d..4b24ac2c16c64230cb6fa565c6e781f4376615bb 100644 (file)
@@ -5,6 +5,28 @@ one or more of: hostapd, iw, wireless_tools and/or wpa_supplicant.
 
 It also pulls up the console on the serial port, not on TV output.
 
+=== Output files after building ==============================================
+
+output/images
++-- kernel.vfat (VFAT kernel partition image generated by genimage)
++-- rootfs.ext2 (Root file system)
++-- sdcard.img (Complete SD card image generated by genimage)
++-- u-boot.sd (U-Boot image)
++-- uImage -> uImage.imx23-olinuxino (To copy kernel as "uImage" to kernel.vfat)
++-- uImage.imx23-olinuxino (Kernel uImage)
+
+=== Use of generated SD card image ===========================================
+
+Just write sdcard.img directly to the SD card
+
+***** WARNING: Double check that /dev/sdc is your MicroSD card *****
+*****      It might be /dev/sdb or some other device name      *****
+***** Failure to do so may result in you wiping your hard disk *****
+
+   # dd if=output/images/sdcard.img of=/dev/sdc bs=512
+
+=== Manual creation of SD card image =========================================
+
 You'll need a spare MicroSD card with Freescale's special partition layout.
 This is basically three partitions:
 
index 9951284cac11ef8a1693cd3a2c8c4aa68b65c8f3..f74f42222ac50fe2b18ea80aa8234cb4830406f3 100644 (file)
@@ -39,3 +39,10 @@ BR2_TARGET_UBOOT_CUSTOM_VERSION=y
 BR2_TARGET_UBOOT_CUSTOM_VERSION_VALUE="2016.01"
 BR2_TARGET_UBOOT_BOARD_DEFCONFIG="mx23_olinuxino"
 BR2_TARGET_UBOOT_FORMAT_SD=y
+# To generate SD Image
+BR2_PACKAGE_HOST_DOSFSTOOLS=y
+BR2_PACKAGE_HOST_GENIMAGE=y
+BR2_PACKAGE_HOST_MTOOLS=y
+BR2_ROOTFS_POST_IMAGE_SCRIPT="board/olimex/imx233_olinuxino/post-image.sh"
+